Name: linuxconsoletools
Version: 1.4.4
Release: 2%{?dist}
Summary: Tools for connecting joysticks & legacy devices to the kernel's input subsystem
Group: Applications/System
License: GPLv2+
URL: http://sourceforge.net/projects/linuxconsole/

Source: http://downloads.sourceforge.net/linuxconsole/%{name}-%{version}.tar.bz2

BuildRequires: SDL-devel

Provides: joystick = %{version}-%{release}
Obsoletes: joystick < 1.2.16-1

%description
This package contains utilities for testing and configuring joysticks,
connecting legacy devices to the kernel's input subsystem (providing support
for serial mice, touchscreens etc.), and test the input event layer.

%prep
%setup -q


%build
make PREFIX=%{_prefix} %{?_smp_mflags}

# moving helper scripts from /usr/share/joystick to /usr/libexec/joystick
sed -i "s|%{_prefix}/share/joystick|%{_libexecdir}/joystick|g" utils/jscal-restore utils/jscal-store


%install
make DESTDIR=%{buildroot} PREFIX=%{_prefix} install

# moving helper scripts from /usr/share/joystick to /usr/libexec/joystick
install -d -m 0755 %{buildroot}%{_libexecdir}/joystick
mv -f %{buildroot}%{_prefix}/share/joystick/* %{buildroot}%{_libexecdir}/joystick/

# fixing man permissions
chmod -x %{buildroot}%{_mandir}/man1/*

%files
%doc COPYING README NEWS

%{_bindir}/ffcfstress
%{_bindir}/ffmvforce
%{_bindir}/ffset
%{_bindir}/fftest
%{_bindir}/inputattach
%{_bindir}/jscal
%{_bindir}/jscal-restore
%{_bindir}/jscal-store
%{_bindir}/jstest

%{_libexecdir}/joystick/extract
%{_libexecdir}/joystick/filter
%{_libexecdir}/joystick/ident

%{_mandir}/man1/*


%changelog
* Wed Jan 02 2013 Jaromir Capik <jcapik@redhat.com> - 1.4.4-2
- Using prefix macro

* Wed Jan 02 2013 Jaromir Capik <jcapik@redhat.com> - 1.4.4-1
- Initial package
